From 9edd65fdee4caef01b4d4341243a8a038074d598 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Sat, 11 Apr 2020 20:57:43 -0500
Subject: [PATCH v3 12/20] comment typo: Add logical replication support to
 replicate into partitioned tables

commit f1ac27bfda6ce8a399d8001843e9aefff5814f9b
Author: Peter Eisentraut <peter@eisentraut.org>
Date:   Mon Apr 6 15:15:52 2020 +0200

    Add logical replication support to replicate into partitioned tables
---
 src/backend/replication/logical/relation.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/replication/logical/relation.c b/src/backend/replication/logical/relation.c
index 2e7b755aeb..351b0950c0 100644
--- a/src/backend/replication/logical/relation.c
+++ b/src/backend/replication/logical/relation.c
@@ -575,7 +575,7 @@ logicalrep_partmap_init(void)
  * Returned entry reuses most of the values of the root table's entry, save
  * the attribute map, which can be different for the partition.
  *
- * Note there's no logialrep_partition_close, because the caller closes the
+ * Note there's no logicalrep_partition_close, because the caller closes the
  * the component relation.
  */
 LogicalRepRelMapEntry *
@@ -631,7 +631,7 @@ logicalrep_partition_open(LogicalRepRelMapEntry *root,
 	/*
 	 * If the partition's attributes don't match the root relation's, we'll
 	 * need to make a new attrmap which maps partition attribute numbers to
-	 * remoterel's, instead the original which maps root relation's attribute
+	 * remoterel's, instead of the original which maps root relation's attribute
 	 * numbers to remoterel's.
 	 *
 	 * Note that 'map' which comes from the tuple routing data structure
-- 
2.17.0

